/vaults/{slug}/apy-history
Get APY history for vault by slug for the given date range. `compositionApy` is the composition-weighted yield APY (liquid assets and off-chain value are excluded from the APY denominator). `apy` is a legacy alias for `compositionApy`. `navApy` is the price-delta (NAV-based) APY computed from vault token price changes.
Learn how to choose between NAV APY and composition APY.
Get APY history for vault by slug for the given date range. compositionApy is the composition-weighted yield APY (liquid assets and off-chain value are excluded from the APY denominator). apy is a legacy alias for compositionApy. navApy is the price-delta (NAV-based) APY computed from vault token price changes.
Path Parameters
Unique slug identifier for the vault.
1 <= lengthQuery Parameters
Unix timestamp in seconds
Unix timestamp in seconds
1788593694Ordering for history arrays. desc returns newest first. asc returns oldest first.
"desc"Value in
- "asc"
- "desc"
Optional chain ID. Defaults to Plume: 98866
98866Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/vaults/nest-alpha-vault/apy-history"{ "data": { "vaultAddress": "string", "history": [ { "day": 0, "apy": { "rolling7d": 0, "rolling30d": 0, "sec30d": 0 }, "compositionApy": { "rolling7d": 0, "rolling30d": 0, "sec30d": 0 }, "navApy": { "rolling7d": 0, "rolling30d": 0, "sec30d": 0 } } ], "errors": [ { "source": "superstate", "operation": "getPendingTransactions", "message": "superstate getPendingTransactions timed out after 10000ms", "code": "TIMEOUT", "timestamp": 1704067200 } ] }}/vaults/{slug}/apy GET
Get Vault APY by slug. `compositionApy` is the composition-weighted yield APY based on underlying yield-bearing assets (liquid assets and off-chain value are excluded from the APY denominator). `apy` is a legacy alias for `compositionApy`. `navApy` is the price-delta (NAV-based) APY computed from vault token price changes.
/vaults/{slug}/authority GET
Get Vault Authority by slug